package com.ruoyi.mall.domain.vo;

import java.math.BigDecimal;

/**
 * @ClassName MallOrderGoodsVO
 * @Description 请描述类的业务用途
 * @Author linlinee
 * @Date 2021/12/9 11:52 AM
 * @Version 1.0
 **/

public class MallOrderGoodsVO {

    /** 主键ID */
    private Long id;

    /** 订单主键ID */
    private Long orderId;

    /** 商品主键ID */
    private Long goodsId;

    /** 商品规格ID */
    private Long productId;

    /** 商品名称 */
    private String goodsName;

    /** 商品图片 */
    private String goodsImg;

    /** 产品规格名 */
    private String productName;

    /** 商品单价 */
    private BigDecimal price;

    /** 购买数量 */
    private Integer total;

    /** 是否评价0=未评价,1=已评价 */
    private String comment;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getOrderId() {
        return orderId;
    }

    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    public Long getGoodsId() {
        return goodsId;
    }

    public void setGoodsId(Long goodsId) {
        this.goodsId = goodsId;
    }

    public Long getProductId() {
        return productId;
    }

    public void setProductId(Long productId) {
        this.productId = productId;
    }

    public String getGoodsName() {
        return goodsName;
    }

    public void setGoodsName(String goodsName) {
        this.goodsName = goodsName;
    }

    public String getGoodsImg() {
        return goodsImg;
    }

    public void setGoodsImg(String goodsImg) {
        this.goodsImg = goodsImg;
    }

    public String getProductName() {
        return productName;
    }

    public void setProductName(String productName) {
        this.productName = productName;
    }

    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    public Integer getTotal() {
        return total;
    }

    public void setTotal(Integer total) {
        this.total = total;
    }

    public String getComment() {
        return comment;
    }

    public void setComment(String comment) {
        this.comment = comment;
    }

    @Override
    public String toString() {
        return "MallOrderGoodsVO{" +
                "id=" + id +
                ", orderId=" + orderId +
                ", goodsId=" + goodsId +
                ", productId=" + productId +
                ", goodsName='" + goodsName + '\'' +
                ", goodsImg='" + goodsImg + '\'' +
                ", productName='" + productName + '\'' +
                ", price=" + price +
                ", total=" + total +
                ", comment='" + comment + '\'' +
                '}';
    }
}
